SkillHub
Referenceimports

Re-import an imported skill from its GitHub source

POST
/imports/resync/{ownerHandle}/{slug}/{name}

Path Parameters

ownerHandle*string
Lengthlength <= 64
slug*string
Lengthlength <= 64
name*string
Match^[a-z0-9]+(?:-[a-z0-9]+)*$
Length1 <= length <= 64

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/imports/resync/string/string/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "ref": "string",  "version": "string",  "outcome": "published",  "provenance": {    "sourceKind": "github",    "sourceUrl": "string",    "sourceRef": "string",    "upstreamHash": "string",    "importedAt": "2019-08-24T14:15:22Z"  },  "structuralWarnings": []}